
[ppc64] revert IRQ_INPROGRESS change


---

 arch/ppc64/kernel/irq.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/irq.c~ppc64-IRQ_INPROGRESS arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~ppc64-IRQ_INPROGRESS	2004-01-13 23:21:51.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/irq.c	2004-01-13 23:21:51.000000000 -0800
@@ -300,7 +300,7 @@ void enable_irq(unsigned int irq)
 	spin_lock_irqsave(&desc->lock, flags);
 	switch (desc->depth) {
 	case 1: {
-		unsigned int status = desc->status & ~(IRQ_DISABLED | IRQ_INPROGRESS);
+		unsigned int status = desc->status & ~IRQ_DISABLED;
 		desc->status = status;
 		if ((status & (IRQ_PENDING | IRQ_REPLAY)) == IRQ_PENDING) {
 			desc->status = status | IRQ_REPLAY;

_
